import request from '@/utils/request'
import { AxiosPromise } from 'axios'

const api = {
	batchGetUrl: '/v1/service-file/batchGetUrl',
	deleteUrl: '/v1/service-file/removeBind',
}
// 批量获取文件访问地址
function batchGetUrlApi(data: any): AxiosPromise {
	return request({
		url: api.batchGetUrl,
		method: 'get',
		data
	})
}

// 删除文件
function deleteUrlApi(data: any): AxiosPromise {
	return request({
		url: api.deleteUrl,
		method: 'put',
		data
	})
}

export default {
	batchGetUrlApi,
	deleteUrlApi
}
